Bug 167350 - [PATCH] security/openssl: Fix redundant declaration / -Werror failure
[PATCH] security/openssl: Fix redundant declaration / -Werror failure
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 04:20 UTC by bryan
Modified: 2012-05-25 05:38 UTC (History)
0 users

See Also:


Attachments
file.diff (524 bytes, patch)
2012-04-27 04:20 UTC, bryan
no flags Details | Diff
patch.txt (493 bytes, text/plain; charset=windows-1252)
2012-04-27 04:50 UTC, bryan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bryan 2012-04-27 04:20:04 UTC
The header openssl/srtp.h defines SSL_get_selected_srtp_profile twice, resulting in failure when compiling with -Werror, or gcc46.

Upstream issue: http://rt.openssl.org/Ticket/Display.html?id=2724&user=guest&pass=guest#lasttrans

Fix: Patch fixes issue.

Patch attached with submission follows:
How-To-Repeat: Compile an SSL application using ports openssl with -Werror, or with lang/gcc46.

For instance, try compiling ports-mgmt/pkg with CC=gcc46 in /etc/make.conf

Failure:

In file included from /usr/local/include/openssl/ssl.h:1363:0,
                 from pkg_repo.c:43:
/usr/local/include/openssl/srtp.h:138:26: error: redundant redeclaration of 'SSL_get_selected_srtp_profile' [-Werror=redundant-decls]
/usr/local/include/openssl/srtp.h:135:26: note: previous declaration of 'SSL_get_selected_srtp_profile' was here
cc1: all warnings being treated as errors
Comment 1 Edwin Groothuis freebsd_committer 2012-04-27 04:20:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 bryan 2012-04-27 04:50:08 UTC
The previous patch (from the upstream issue tracker) is wrong.

This one is correct for the port.

Regards,
Bryan Drewery
Comment 3 dfilter freebsd_committer 2012-05-17 05:45:19 UTC
dinoex      2012-05-17 04:45:02 UTC

  FreeBSD ports repository

  Added files:
    security/openssl/files patch-ssl-srtp.h 
  Log:
  - fix build with -Werror
  PR:             167350
  Submitted by:   Bryan Drewery
  Obtained from:  http://rt.openssl.org/Ticket/Display.html?id=2724&user=guest&pass=guest#lasttrans
  
  Revision  Changes    Path
  1.1       +10 -0     ports/security/openssl/files/patch-ssl-srtp.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dirk Meyer freebsd_committer 2012-05-25 05:37:49 UTC
State Changed
From-To: open->closed

committed, thanks.